
	subroutine GetVersion( Version )

c--
c Get current BldScr version number   -   7/6/88
c--

	character*6 Version

	Version = '5.05'

c--
c Version 5.04	    15-Jan-88
c
c	Genscr.for
c
c	  fixed code generation of validation entry point such that
c	  when number of data fields = 0, there is a comma between
c	  Last and Valid in the parameter list.
c--

c--
c Version 5.05      7/6/88
c
c	Reorganized location of all source files and changed some
c	library routines.
c--

	end



	subroutine ChkVersion( Line, MinVersion, OldVersion )

c--
c Line is the line of the screen file that contains the version number.
c If the screen file version is less than MinVersion then
c OldVersion gets set to true, else it gets set to false.
c--

c--
c Parameters
	character*(*) Line
	real MinVersion
	logical*1 OldVersion

c--
c locals
	real Version

c--
c for parse
	integer*2 DimPntr, Pntr(2,7),
     1   WordLength(7), NumWords, ParseError

	character*1 Blank, Quote

	data DimPntr /7/, Blank /' '/, Quote /'"'/



	call Parse( Line, Blank, Quote, '[]',
     1   DimPntr, Pntr, WordLength, NumWords, ParseError )

	call GetReal( Line(Pntr(1,6):Pntr(2,6)), Version )

	if( Version .lt. MinVersion ) then
	  OldVersion = .true.
	else
	  OldVersion = .false.
	end if

c--
c dummy statement for R/M compiler
	I = 1

	end
